﻿<div class="filters">
    <a href="@Url.Action("FunctionCategoryEdit")" class="btn btn-success" onclick="return showModal(this)">@Html.Raw(Resources.Actions.Add)</a>
</div>
<table class="table table-striped table-bordered table-short">
    <thead>
        <tr>
            <th>@Resources.Actions.TT</th>
            <th style="width: 100px">@Resources.Actions.Icon</th>
            <th>@Resources.Actions.Name</th>
            <th class="text-center w50"><i class="fa fa-pencil" aria-hidden="true"></i></th>
            <th class="text-center w50"><i class="fa fa-trash" aria-hidden="true"></i></th>
        </tr>
    </thead>
    <tbody></tbody>
</table>

<script>
    $(function () {
        $(".filter").change(function () {
            window.location.href = "@Url.Action("FunctionCategory")";
        });
       var t= $('table.table').DataTable(
        {
            processing: true,
            serverSide: true,
            filter: false,
            drawCallback: function () { hidePageLoading(); setTimeout(function () { t.ajax.reload(null, false); }, 60000); },
            orderMulti: false, 
            pageLength: 30,
            iDisplayLength: 30,
            aLengthMenu: [[30, 50, 100, 200, 500, 1000,  2000, 5000], [30, 50, 100, 200, 500, 1000, 2000, 5000]],
            dom: '<"top"f>rt<"bottom"ilp><"clear">',
            order: [[2, "asc"]],
            ajax: { url: '@Url.Action("GetFunctionCategories")', type: "GET", contentType: "application/json", beforeSend : function() { showPageLoading(); } },
            columns: [
                 {
                     "data": "Id",
                     "className": "text-center",
                     "bSortable": false,
                     "width": "50px"
                 },
                {
                    "data": "Icon",
                    "bSortable": false,
                    "className": "text-center"
                },
                {
                    "data": "Name",
                    "bSortable": true
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function (data) {
                        return '<a class="ids" id="' + data + '" href="@Url.Action("FunctionCategoryEdit")?id=' + data + '" onclick="return showModal(this)"><i class="fa fa-pencil" aria-hidden="true"></i></a>';
                    }
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function (data) {
                        return '<a href="@Url.Action("FunctionCategoryDelete")?id=' + data + '" onclick="@Html.Raw(Resources.Actions.Confirm)"><i class="fa fa-trash" aria-hidden="true"></i></a>';
                    }
                }
            ],
            "initComplete": function () {
                $(".table-short tbody").sortable({
                    update: function () {
                        $(".ids").each(function () {
                            $(this).parent().parent().attr("id", $(this).attr("id"));
                        });
                        $.post("@Url.Action("FunctionCategorySort")", { Ids: $(this).sortable("toArray") }).done(function () {
                            window.location.reload();
                        });
                    }
                });
            }
        });
        t.on('draw.dt',
                function () {
                    t.column(0, { search: 'applied', order: 'applied' })
                        .nodes()
                        .each(function (cell, i) {
                            cell.innerHTML = i + 1;
                        });
                })
            .draw();
        setModalCompletedCallback(function () {
            t.ajax.reload(null, false);
        });
    });
</script>